List Threads
Lists threads in the pod, most recent first. Pass `senders`,
`recipients`, or `subject` to filter by substring. Filtered requests are
served by search, which caps `limit` at 100. For relevance-ranked
full-text search, use `Search Threads`.
**CLI:**
```bash
agentmail pods:threads list --pod-id <pod_id>
```
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
pod_id
ID of pod.
Query parameters
limit
Limit of number of items returned.
page_token
Page token for pagination.
labels
Labels to filter by.
before
Timestamp before which to filter by.
after
Timestamp after which to filter by.
ascending
Sort in ascending temporal order.
include_spam
Include spam in results.
include_blocked
Include blocked in results.
include_unauthenticated
Include unauthenticated in results.
include_trash
Include trash in results.
senders
Filter to threads whose senders contain this value (substring match). Repeatable; all values must match.
recipients
Filter to threads whose recipients contain this value (substring match). Repeatable; all values must match.
subject
Filter to threads whose subject contains this value (substring match). Repeatable; all values must match.
Response
This endpoint returns an object.
count
Number of items returned.
threads
Ordered by timestamp descending.
limit
Limit of number of items returned.
next_page_token
Page token for pagination.
Errors
404
Not Found Error
